Loading...
Searching...
No Matches
PopupMenu Class Reference

`#include <gnuradio/qtgui/form_menus.h>`

## Public Slots

void | getTextDiag ()

## Signals

void | whichTrigger (const QString data)

## Public Member Functions

| PopupMenu (QString desc, QWidget *parent)
| ~PopupMenu () override
void | setText (QString s)

## Constructor & Destructor Documentation

## PopupMenu()

PopupMenu::PopupMenu | ( | QString | desc,
|  | QWidget * | parent )

inline

References getTextDiag().

## ~PopupMenu()

PopupMenu::~PopupMenu | ( |  | ) |

inline override

## Member Function Documentation

## getTextDiag

void PopupMenu::getTextDiag | ( |  | ) |

inline slot

Referenced by PopupMenu().

## setText()

void PopupMenu::setText | ( | QString | s | ) |

inline

## whichTrigger

void PopupMenu::whichTrigger | ( | const QString | data | ) |

signal

The documentation for this class was generated from the following file:

- form_menus.h